summaryrefslogtreecommitdiffstats
path: root/python
diff options
context:
space:
mode:
author Alan Aversa <alan_avNOersa@lSPAMavabit.com>2020-05-22 19:53:05 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-05-23 09:32:01 +0700
commit26e56372a7d6d83ef6555f114f5f46dbda5ae4b9 (patch)
tree2dbe4eaee74deb47797327a5e3ab8bd18383dbe8 /python
parentcf24c4fc2bb1c1337e00731172a98fc6d1235802 (diff)
downloadslackbuilds-26e56372a7d6d83ef6555f114f5f46dbda5ae4b9.tar.gz
slackbuilds-26e56372a7d6d83ef6555f114f5f46dbda5ae4b9.tar.xz
python/jsonpatch: Added (Library to apply JSON Patches)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python')
-rw-r--r--python/jsonpatch/README21
-rw-r--r--python/jsonpatch/jsonpatch.SlackBuild86
-rw-r--r--python/jsonpatch/jsonpatch.info10
-rw-r--r--python/jsonpatch/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/python/jsonpatch/README b/python/jsonpatch/README
new file mode 100644
index 0000000000..3abd7d36b2
--- /dev/null
+++ b/python/jsonpatch/README
@@ -0,0 +1,21 @@
+Applying JSON Patches in Python
+
+Library to apply JSON Patches according to RFC 6902
+
+See source code for examples
+
+ Website: https://github.com/stefankoegl/python-json-patch
+ Repository: https://github.com/stefankoegl/python-json-patch.git
+ Documentation: https://python-json-patch.readthedocs.org/
+ PyPI: https://pypi.python.org/pypi/jsonpatch
+ Travis CI: https://travis-ci.org/stefankoegl/python-json-patch
+ Coveralls: https://coveralls.io/r/stefankoegl/python-json-patch
+
+Running external tests
+
+To run external tests (such as those from
+https://github.com/json-patch/json-patch-tests) use ext_test.py
+
+./ext_tests.py ../json-patch-tests/tests.json
+
+Optional: python3
diff --git a/python/jsonpatch/jsonpatch.SlackBuild b/python/jsonpatch/jsonpatch.SlackBuild
new file mode 100644
index 0000000000..afb6202b0d
--- /dev/null
+++ b/python/jsonpatch/jsonpatch.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for jsonpatch
+
+# Copyright 2020 Alan Aversa
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=jsonpatch
+VERSION=${VERSION:-1.25}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if $(python3 -c 'import sys' 2>/dev/null); then
+ python3 setup.py install --root=$PKG
+else
+ python setup.py install --root=$PKG
+fi
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/jsonpatch/jsonpatch.info b/python/jsonpatch/jsonpatch.info
new file mode 100644
index 0000000000..834c362519
--- /dev/null
+++ b/python/jsonpatch/jsonpatch.info
@@ -0,0 +1,10 @@
+PRGNAM="jsonpatch"
+VERSION="1.25"
+HOMEPAGE="https://pypi.org/project/jsonpatch/"
+DOWNLOAD="https://files.pythonhosted.org/packages/70/9f/6f0bfbb4cc1401ce994d336bcb4ed2aa924f395e7fd1926511c04a52eee1/jsonpatch-1.25.tar.gz"
+MD5SUM="fcc546892414bef2f7f89f0e2a618a9e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jsonpointer"
+MAINTAINER="Alan Aversa"
+EMAIL="alan_avNOersa@lSPAMavabit.com"
diff --git a/python/jsonpatch/slack-desc b/python/jsonpatch/slack-desc
new file mode 100644
index 0000000000..6c46b4f613
--- /dev/null
+++ b/python/jsonpatch/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+jsonpatch: jsonpatch (Library to apply JSON Patches according to RFC 6902)
+jsonpatch:
+jsonpatch: https://pypi.org/project/jsonpatch/
+jsonpatch:
+jsonpatch:
+jsonpatch:
+jsonpatch:
+jsonpatch:
+jsonpatch:
+jsonpatch:
+jsonpatch: